CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

How to install two versions of OpenFoam

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   August 9, 2012, 11:35
Default
  #21
Member
 
Join Date: Jan 2010
Posts: 44
Rep Power: 7
Argen is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Hi Argen,

Nothing to worry about. As I described in the script:

You can now move on to running Allwmake in "OpenFOAM-1.5". Those other libraries will be built as intended.

Best regards,
Bruno
Thanks a lot, Bruno. It still doesn't work. The log is attached. Can you figure out what's wrong?
Attached Files
File Type: gz make.log.tar.gz (8.2 KB, 4 views)
Argen is offline   Reply With Quote

Old   August 9, 2012, 11:38
Default
  #22
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,507
Blog Entries: 34
Rep Power: 86
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
This is very strange... OK, try these commands:
Code:
cd $WM_THIRD_PARTY_DIR
cd metis-5.0pre2
wclean libso GKlib
wmake libso GKlib
wyldckat is offline   Reply With Quote

Old   August 9, 2012, 12:08
Default
  #23
Member
 
Join Date: Jan 2010
Posts: 44
Rep Power: 7
Argen is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
This is very strange... OK, try these commands:
Code:
cd $WM_THIRD_PARTY_DIR
cd metis-5.0pre2
wclean libso GKlib
wmake libso GKlib
It was failed to make GKlib and the problem seems due to "cannot find -lm".
Attached Files
File Type: gz wmake.GKlib.log.tar.gz (868 Bytes, 1 views)
Argen is offline   Reply With Quote

Old   August 9, 2012, 12:14
Default
  #24
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,507
Blog Entries: 34
Rep Power: 86
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quote:
Originally Posted by Argen View Post
It was failed to make GKlib and the problem seems due to "cannot find -lm".
I went to see what Linux distribution you have... Since it's Ubuntu, make sure you have everything you need installed:
Code:
sudo apt-get install build-essential flex bison cmake zlib1g-dev qt4-dev-tools libqt4-dev gnuplot libreadline-dev libncurses-dev libxt-dev
wyldckat is offline   Reply With Quote

Old   August 9, 2012, 13:34
Default
  #25
Member
 
Join Date: Jan 2010
Posts: 44
Rep Power: 7
Argen is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
I went to see what Linux distribution you have... Since it's Ubuntu, make sure you have everything you need installed:
Code:
sudo apt-get install build-essential flex bison cmake zlib1g-dev qt4-dev-tools libqt4-dev gnuplot libreadline-dev libncurses-dev libxt-dev
Thanks, Bruno. After installing those, I got the same error again.
Argen is offline   Reply With Quote

Old   August 9, 2012, 15:25
Default
  #26
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,507
Blog Entries: 34
Rep Power: 86
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
I've been reviewing the previous posts on this threads... are you certain this is active in your shell:
Code:
export LIBRARY_PATH=/usr/lib/x86_64-linux-gnu
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't get older versions of OpenFOAM fabioc OpenFOAM Installation 4 February 7, 2012 10:13
for every member help me please to install OpenFOAM dima133 OpenFOAM Installation 1 January 8, 2012 17:36
how to install openfoam on ubuntu 1.4 ? seyedashraf OpenFOAM Installation 8 August 23, 2011 05:50
OpenFoam install script Error during paraFoam installation SePe OpenFOAM Installation 10 June 19, 2010 15:15
Install openFOAM 1.6 on debian 32bit - blockMesh: command not found fossy OpenFOAM Installation 1 August 28, 2009 04:06


All times are GMT -4. The time now is 02:22.